Bug 1030079 - Node sync results in errors in pulp.log after upgrading from 2.2->2.3
Node sync results in errors in pulp.log after upgrading from 2.2->2.3
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: nodes (Show other bugs)
2.3
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: pulp-bugs
Preethi Thomas
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-13 16:32 EST by Preethi Thomas
Modified: 2014-03-18 12:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-18 12:06:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2013-11-13 16:32:29 EST
Description of problem:

I upgraded the node parent and node child from 2.2 to 2.3. Once the upgrade is completed,   pulp exception is logged in the pulp.log of the child.

node sync appears to have completed


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.run node sync on an upgraded pulp  from 2.2 ->2.3
2.
3.

Actual results:


Expected results:


Additional info:


2013-11-13 17:45:15,893 pulp.plugins.file.distributor:INFO: Beginning publish for repository <iso-repo>
2013-11-13 17:45:18,521 pulp.server.managers.repo.publish:ERROR: Exception caught from plugin during publish for repo [live-rhel-6-server-x86_64-pulp]
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/pulp/server/managers/repo/publish.py", line 126, in _do_publish
    publish_report = distributor_instance.publish_repo(transfer_repo, conduit, call_config)
  File "/usr/lib/pulp/plugins/distributors/yum_distributor/distributor.py", line 375, in publish_repo
    repo_scratchpad=publish_conduit.get_repo_scratchpad())
  File "/usr/lib/python2.6/site-packages/pulp_rpm/yum_plugin/metadata.py", line 896, in generate_yum_metadata
    checksum_type = get_repo_checksum_type(publish_conduit, config)
  File "/usr/lib/python2.6/site-packages/pulp_rpm/yum_plugin/metadata.py", line 147, in get_repo_checksum_type
    checksum_type = scratchpad_data[SCRATCHPAD_DEFAULT_METADATA_CHECKSUM]
KeyError: 'checksum_type'
2013-11-13 17:45:18,521 pulp.server.dispatch.task:ERROR: Pulp exception occurred: PulpExecutionException
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/pulp/server/dispatch/task.py", line 137, in _run
    result = call(*args, **kwargs)
  File "/usr/lib/python2.6/site-packages/pulp/server/managers/repo/publish.py", line 100, in publish
    result = self._do_publish(repo, distributor_id, distributor_instance, transfer_repo, conduit, call_config)
  File "/usr/lib/python2.6/site-packages/pulp/server/managers/repo/publish.py", line 126, in _do_publish
    publish_report = distributor_instance.publish_repo(transfer_repo, conduit, call_config)
  File "/usr/lib/pulp/plugins/distributors/yum_distributor/distributor.py", line 375, in publish_repo
    repo_scratchpad=publish_conduit.get_repo_scratchpad())
  File "/usr/lib/python2.6/site-packages/pulp_rpm/yum_plugin/metadata.py", line 896, in generate_yum_metadata
    checksum_type = get_repo_checksum_type(publish_conduit, config)
  File "/usr/lib/python2.6/site-packages/pulp_rpm/yum_plugin/metadata.py", line 147, in get_repo_checksum_type
    checksum_type = scratchpad_data[SCRATCHPAD_DEFAULT_METADATA_CHECKSUM]
PulpExecutionException: Pulp exception occurred: PulpExecutionException
Comment 1 Barnaby Court 2013-11-13 17:57:21 EST
PR: https://github.com/pulp/pulp_rpm/pull/385
Comment 2 Preethi Thomas 2013-11-14 13:55:45 EST
verified
 after upgrading to the latest pulp on node parent & child
Ran node sync again. It ran successfully and the above errors does not appear  in the pulp.log of the child.
Comment 3 Preethi Thomas 2014-03-18 12:06:25 EDT
These were already verified in the corresponding releases that they were fixed in. Moving them to closed current release.

Note You need to log in before you can comment on or make changes to this bug.